#include "eyrieFormFactory.h"
#include "eyrieMainForm.h"

using namespace Tizen::Ui::Scenes;


eyrieFormFactory::eyrieFormFactory(void)
{
}

eyrieFormFactory::~eyrieFormFactory(void)
{
}

Tizen::Ui::Controls::Form*
eyrieFormFactory::CreateFormN(const Tizen::Base::String& formId, const Tizen::Ui::Scenes::SceneId& sceneId)
{
	SceneManager* pSceneManager = SceneManager::GetInstance();
	AppAssert(pSceneManager);
	Tizen::Ui::Controls::Form* pNewForm = null;

	if (formId == L"IDF_FORM")
	{
		eyrieMainForm* pForm = new eyrieMainForm();
		pForm->Initialize();
		pSceneManager->AddSceneEventListener(sceneId, *pForm);
		pNewForm = pForm;
	}
	// TODO:
	// Add your form creation code here

	return pNewForm;
}
