#include "eyrieFrame.h"
#include "eyrieFormFactory.h"
#include "eyriePanelFactory.h"

using namespace Tizen::Base;
using namespace Tizen::Ui;
using namespace Tizen::Ui::Controls;
using namespace Tizen::Ui::Scenes;

eyrieFrame::eyrieFrame(void)
{
}

eyrieFrame::~eyrieFrame(void)
{
}

result
eyrieFrame::OnInitializing(void)
{
	// Prepare Scene management.
	SceneManager* pSceneManager = SceneManager::GetInstance();
	static eyrieFormFactory formFactory;
	static eyriePanelFactory panelFactory;
	pSceneManager->RegisterFormFactory(formFactory);
	pSceneManager->RegisterPanelFactory(panelFactory);
	pSceneManager->RegisterScene(L"workflow");

	// Goto the scene.
	result r = pSceneManager->GoForward(SceneTransitionId(L"ID_SCNT_MAINSCENE"));

	// TODO: Add your initialization code here
	return r;
}

result
eyrieFrame::OnTerminating(void)
{
	result r = E_SUCCESS;

	// TODO:
	// Add your termination code here
	return r;
}
